Bug 1808767 - X crashes on i915 GPU with SNA 2D acceleration [NEEDINFO]
Summary: X crashes on i915 GPU with SNA 2D acceleration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 32
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
: 1820815 (view as bug list)
Depends On:
Blocks: F32FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-03-01 01:43 UTC by Cristian Ciupitu
Modified: 2020-04-14 15:21 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 15:21:18 UTC
Type: Bug
shenada: needinfo? (ajax)


Attachments (Terms of Use)
disable all outputs for Intel IGP except DP1; enable TearFree (895 bytes, text/plain)
2020-03-01 01:43 UTC, Cristian Ciupitu
no flags Details
00-keyboard.conf (probably irrelevant) (311 bytes, text/plain)
2020-03-01 01:44 UTC, Cristian Ciupitu
no flags Details
Xorg.0.log (28.05 KB, text/plain)
2020-03-01 01:45 UTC, Cristian Ciupitu
no flags Details
dmesg (compressed with xz) (26.13 KB, application/x-xz)
2020-03-01 01:54 UTC, Cristian Ciupitu
no flags Details
Fix double-free crashes (489 bytes, patch)
2020-04-08 01:44 UTC, Alexei Podtelezhnikov
no flags Details | Diff
log with full debug (962.89 KB, application/x-xz)
2020-04-09 14:59 UTC, Alexei Podtelezhnikov
no flags Details

Description Cristian Ciupitu 2020-03-01 01:43:16 UTC
Created attachment 1666700 [details]
disable all outputs for Intel IGP except DP1; enable TearFree

Description of problem:
The X server crashes with segmentation fault when looking at some images with eog or visiting some website with Firefox.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.99.917-44.20200205.fc32.x86_64
xorg-x11-server-Xorg-1.20.6-1.fc32.x86_64
mesa-dri-drivers-20.0.0-2.fc32.x86_64
libdrm-2.4.100-2.fc32.x86_64
kernel-5.6.0-0.rc3.git0.1.fc32.x86_64
eog-3.35.91-1.fc32.x86_64
firefox-72.0.2-3.fc32.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Configure X with TearFree (and SNA)
2. Start X
3. Run eog /usr/share/xfce4/backdrops/heisenbug.png
(install heisenbug-backgrounds-extras-xfce-20.0.0-11.fc32.noarch to have it)
4. Move the mouse a tiny bit

Actual results:
[   121.045] (EE) Backtrace:
[   121.120] (EE) 0: /usr/libexec/Xorg (OsSigHandler+0x2c) [0x555c2ebb2e8c]
[   121.160] (EE) unw_get_proc_name failed: no unwind info found [-10]
[   121.160] (EE) 1: /lib64/libpthread.so.0 (?+0x0) [0x7f9e942b4a8f]
[   121.195] (EE) 2: /usr/lib64/xorg/modules/drivers/intel_drv.so (kgem_retire__buffers+0x94) [0x7f9e937e8a24]
[   121.196] (EE) 3: /usr/lib64/xorg/modules/drivers/intel_drv.so (sna_accel_block+0x27) [0x7f9e9381a717]
[   121.196] (EE) 4: /usr/lib64/xorg/modules/drivers/intel_drv.so (sna_block_handler+0x77) [0x7f9e9383a867]
[   121.196] (EE) 5: /usr/libexec/Xorg (BlockHandler+0x40) [0x555c2ea58800]
[   121.196] (EE) 6: /usr/libexec/Xorg (WaitForSomething+0x122) [0x555c2ebac752]
[   121.197] (EE) 7: /usr/libexec/Xorg (Dispatch+0xb7) [0x555c2ea53b47]
[   121.197] (EE) 8: /usr/libexec/Xorg (dix_main+0x374) [0x555c2ea57e54]
[   121.218] (EE) unw_get_proc_name failed: no unwind info found [-10]
[   121.218] (EE) 9: /lib64/libc.so.6 (?+0x0) [0x7f9e940fcf50]
[   121.218] (EE) 10: /usr/libexec/Xorg (_start+0x2e) [0x555c2ea4188e]
[   121.218] (EE) 
[   121.218] (EE) Segmentation fault at address 0x0
[   121.218] (EE) 
Fatal server error:
[   121.218] (EE) Caught signal 11 (Segmentation fault). Server aborting

Expected results:
No crash

Additional info:
The bug seems similar to #1775929

Everything worked fine under the latest (testing) Fedora 31. The upgrade to Fedora 32 broke things.
Not all images make eog crash X. `/usr/share/xfce4/backdrops/f24.png` and `/usr/share/xfce4/backdrops/heisenbug.png trigger segfault`; `/usr/share/xfce4/backdrops/f31.png` does not.
Not all websites make Firefox crash X. I had no issues yet with Chrome.

CPU: Intel i7-3370
GPU: Intel HD 4000
Motherboard: Intel DZ77BH-55K
Monitor: HP LP2475w connected via DisplayPort

GDB debugging:
(gdb) bt full
#0  kgem_buffer_release (bo=0x557950a32ff0, kgem=0x7f359ad8e000) at kgem.c:3083
        cached = <optimized out>
        bo = 0x557950a32ff0
#1  kgem_retire__buffers (kgem=kgem@entry=0x7f359ad8e000) at kgem.c:3108
        bo = 0x557950a32ff0
#2  0x00007f359c65a717 in sna_accel_block (sna=sna@entry=0x7f359ad8e000, tv=tv@entry=0x7ffe24291ca8) at sna_accel.c:18397
#3  0x00007f359c67a867 in sna_block_handler (data=0x7f359ad8e000, _timeout=0x7ffe24291d24) at sna_driver.c:777
        tv = {tv_sec = 117, tv_usec = 899000}
        tvp = 0x7ffe24291cb0
#4  0x000055794e65f800 in BlockHandler (pTimeout=pTimeout@entry=0x7ffe24291d24) at dixutils.c:388
        i = 0
        j = <optimized out>
#5  0x000055794e7b3752 in WaitForSomething (are_ready=0) at WaitFor.c:201
        i = <optimized out>
        timeout = 117899
        pollerr = <optimized out>
        were_ready = 0
        timer_is_running = 0
#6  0x000055794e65ab47 in Dispatch () at ../include/list.h:220
        result = <optimized out>
        client = <optimized out>
        start_tick = <optimized out>
#7  0x000055794e65ee54 in dix_main (argc=12, argv=0x7ffe24291f08, envp=<optimized out>) at main.c:276
        i = <optimized out>
        alwaysCheckForInput = {0, 1}
#8  0x00007f359cf3d042 in __libc_start_main (main=
    0x55794e648850 <main>, argc=12, argv=0x7ffe24291f08, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffe24291ef8) at ../csu/libc-start.c:308
        result = <optimized out>
        unwind_buf =
              {cancel_jmp_buf = {{jmp_buf = {0, -7003182914889065136, 93979494615136, 0, 0, 0, -3764615021796795056, -3866877799581229744}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0xc, 0x7ffe24291f08}, data = {prev = 0x0, cleanup = 0x0, canceltype = 12}}}
        not_first_call = <optimized out>
#9  0x000055794e64888e in _start ()
(gdb)


# cat /proc/cpuinfo 
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 58
model name	: Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz
stepping	: 9
microcode	: 0x17
cpu MHz		: 3774.674
cache size	: 8192 KB
...


# lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor DRAM Controller [8086:0150] (rev 09)
00:02.0 VGA compatible controller [0300]: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor Graphics Controller [8086:0162] (rev 09)
00:14.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller [8086:1e31] (rev 04)
00:16.0 Communication controller [0780]: Intel Corporation 7 Series/C216 Chipset Family MEI Controller #1 [8086:1e3a] (rev 04)
00:19.0 Ethernet controller [0200]: Intel Corporation 82579V Gigabit Network Connection [8086:1503] (rev 04)
00:1a.0 USB controller [0c03]: Intel Corporation 7 Series/C216 Chipset Family USB Enhanced Host Controller #2 [8086:1e2d] (rev 04)
00:1b.0 Audio device [0403]: Intel Corporation 7 Series/C216 Chipset Family High Definition Audio Controller [8086:1e20] (rev 04)
00:1c.0 PCI bridge [0604]: Intel Corporation 7 Series/C216 Chipset Family PCI Express Root Port 1 [8086:1e10] (rev c4)
00:1c.2 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 [8086:1e14] (rev c4)
00:1c.4 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 5 [8086:1e18] (rev c4)
00:1d.0 USB controller [0c03]: Intel Corporation 7 Series/C216 Chipset Family USB Enhanced Host Controller #1 [8086:1e26] (rev 04)
00:1f.0 ISA bridge [0601]: Intel Corporation Z77 Express Chipset LPC Controller [8086:1e44] (rev 04)
00:1f.2 SATA controller [0106]: Intel Corporation 7 Series/C210 Series Chipset Family 6-port SATA Controller [AHCI mode] [8086:1e02] (rev 04)
00:1f.3 SMBus [0c05]: Intel Corporation 7 Series/C216 Chipset Family SMBus Controller [8086:1e22] (rev 04)
02:00.0 PCI bridge [0604]: Integrated Technology Express, Inc. IT8892E PCIe to PCI Bridge [1283:8892] (rev 30)
04:00.0 USB controller [0c03]: NEC Corporation uPD720200 USB 3.0 Host Controller [1033:0194] (rev 04)

Comment 1 Cristian Ciupitu 2020-03-01 01:44:27 UTC
Created attachment 1666701 [details]
00-keyboard.conf (probably irrelevant)

Comment 2 Cristian Ciupitu 2020-03-01 01:45:19 UTC
Created attachment 1666702 [details]
Xorg.0.log

Comment 3 Cristian Ciupitu 2020-03-01 01:54:40 UTC
Created attachment 1666703 [details]
dmesg (compressed with xz)

Comment 4 Cristian Ciupitu 2020-03-01 01:58:57 UTC
The image can be found at https://fedoraproject.org/w/uploads/0/07/F20-alpha-wallpaper-wide.png (https://fedoraproject.org/wiki/F20_Artwork widescreen)

Comment 5 Cristian Ciupitu 2020-03-01 19:00:20 UTC
I've looked at the logs and it seems that I was using:
 - xorg-x11-drv-intel-2.99.917-43.20180618.fc31.x86_64
 - xorg-x11-server-Xorg-1.20.6-1.fc31.x86_64
 - mesa-dri-drivers-19.2.8-1.fc31.x86_64
before the upgrade to Fedora 32.

Comment 6 Cristian Ciupitu 2020-03-03 19:30:12 UTC
X keeps on crashing more and more often. ristretto-0.10.0-3.fc32.x86_64, pidgin-2.13.0-17.fc32.x86_64 are virt-manager-2.2.1-3.fc32.noarch are causing segfaults too.

Comment 7 Dark Shenada 2020-03-17 23:49:51 UTC
I can confirm. Got same issue with same backtrace.

X crashed when using EoG, Firefox, Chrome, Celluloid, mpv, mplayer, Eclipse, Freecad

P.S: Sorry about report issue so briefly. Gnome-abrt always fail to report issue because fail on remote backtrace.

===================================================================
sudo find /sys/module/i915/parameters -type f  -printf '%P: ' -exec cat -A {} ';'
===================================================================
enable_ips: 1$
fastboot: -1$
enable_psr: 1$
huc_firmware_path: (null)$
edp_vswing: 0$
enable_fbc: 1$
disable_power_well: 1$
alpha_support: N$
vbt_firmware: (null)$
enable_hangcheck: Y$
guc_firmware_path: (null)$
reset: 3$
modeset: -1$
lvds_channel_mode: 0$
guc_log_level: -1$
enable_dpcd_backlight: -1$
prefault_disable: N$
vbt_sdvo_panel_type: -1$
enable_dc: 2$
nuclear_pageflip: N$
force_probe: $
panel_use_ssc: -1$
error_capture: Y$
mmio_debug: 0$
verbose_state_checks: Y$
enable_guc: -1$
dmc_firmware_path: (null)$
invert_brightness: 0$
enable_dp_mst: Y$
force_reset_modeset_test: N$
enable_gvt: N$
disable_display: N$
load_detect_test: N$

===================================================================
grep intel ~/.local/share/xorg/Xorg.0.log
===================================================================
[ 28526.711] (II) LoadModule: "intel"
[ 28526.711] (II) Loading /usr/lib64/xorg/modules/drivers/intel_drv.so
[ 28526.711] (II) Module intel: vendor="X.Org Foundation"
[ 28526.712] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
[ 28526.712] (II) intel: Driver for Intel(R) HD Graphics
[ 28526.712] (II) intel: Driver for Intel(R) Iris(TM) Graphics
[ 28526.712] (II) intel: Driver for Intel(R) Iris(TM) Pro Graphics
[ 28526.712] (II) intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20200114
[ 28526.726] (--) intel(0): Integrated Graphics Chipset: Intel(R) HD Graphics
[ 28526.726] (--) intel(0): CPU: x86-64, sse2, sse3, ssse3, sse4.1, sse4.2, avx, avx2; using a maximum of 6 threads
[ 28526.726] (II) intel(0): Creating default Display subsection in Screen section
[ 28526.727] (==) intel(0): Depth 24, (--) framebuffer bpp 32
[ 28526.727] (==) intel(0): RGB weight 888
[ 28526.727] (==) intel(0): Default visual is TrueColor
[ 28526.727] (**) intel(0): Option "AccelMethod" "sna"
[ 28526.727] (**) intel(0): Option "DRI" "3"
[ 28526.727] (**) intel(0): Option "TearFree" "true"
[ 28526.727] (II) intel(0): Output eDP1 has no monitor section
[ 28526.733] (**) intel(0): Found backlight control interface intel_backlight (type 'raw') for output eDP1
[ 28526.733] (II) intel(0): Enabled output eDP1
[ 28526.733] (II) intel(0): Output DP1 has no monitor section
[ 28526.733] (II) intel(0): Enabled output DP1
[ 28526.733] (II) intel(0): Output DP2 has no monitor section
[ 28526.733] (II) intel(0): Enabled output DP2
[ 28526.733] (II) intel(0): Output DP3 has no monitor section
[ 28526.733] (II) intel(0): Enabled output DP3
[ 28526.733] (--) intel(0): Using a maximum size of 256x256 for hardware cursors
[ 28526.734] (II) intel(0): Output VIRTUAL1 has no monitor section
[ 28526.734] (II) intel(0): Enabled output VIRTUAL1
[ 28526.734] (--) intel(0): Output eDP1 using initial mode 3840x2160 on pipe 0
[ 28526.734] (**) intel(0): TearFree enabled
[ 28526.734] (==) intel(0): Using gamma correction (1.0, 1.0, 1.0)
[ 28526.734] (==) intel(0): DPI set to (96, 96)
[ 28526.746] (II) intel(0): SNA initialized with Coffeelake (gen9) backend
[ 28526.746] (==) intel(0): Backing store enabled
[ 28526.746] (==) intel(0): Silken mouse enabled
[ 28526.746] (II) intel(0): HW Cursor enabled
[ 28526.746] (==) intel(0): DPMS enabled
[ 28526.746] (==) intel(0): Display hotplug detection enabled
[ 28526.746] (II) intel(0): [DRI2] Setup complete
[ 28526.746] (II) intel(0): [DRI2]   DRI driver: i965
[ 28526.746] (II) intel(0): [DRI2]   VDPAU driver: va_gl
[ 28526.747] (II) intel(0): direct rendering: DRI2 DRI3 enabled
[ 28526.747] (II) intel(0): hardware support for Present enabled
[ 28526.797] (II) intel(0): switch to mode 3840x2160@60.0 on eDP1 using pipe 0, position (0, 0), rotation normal, reflection none
[ 28526.800] (II) intel(0): Setting screen physical size to 1016 x 571
[ 28527.225] (II) intel(0): EDID vendor "SHP", prod id 5261
[ 28527.225] (II) intel(0): Printing DDC gathered Modelines:
[ 28527.225] (II) intel(0): Modeline "3840x2160"x0.0  533.25  3840 3888 3920 4000  2160 2163 2168 2222 -hsync -vsync (133.3 kHz eP)

Comment 8 Dark Shenada 2020-03-18 00:15:28 UTC
Intel(R) Core(TM) i7-8850H CPU @ 2.60GHz

00:02.0 VGA compatible controller: Intel Corporation UHD Graphics 630 (Mobile)

Comment 9 Dark Shenada 2020-03-18 09:10:06 UTC
with i915.enable_guc= 1 or 2 change nothing. Still crash.

Comment 10 Cristian Ciupitu 2020-03-18 12:59:20 UTC
I've uninstalled xorg-x11-drv-intel in the mean time and, so far I'm not missing it. XFCE, Firefox, eog, ristretto, mpv and other programs work fine.

Comment 11 Dark Shenada 2020-03-18 13:20:24 UTC
(In reply to Cristian Ciupitu from comment #10)
> I've uninstalled xorg-x11-drv-intel in the mean time and, so far I'm not
> missing it. XFCE, Firefox, eog, ristretto, mpv and other programs work fine.

Disable SNA also workaround this issue. But also poor performance too.
Latest 5.5 kernel from FC31 also not works.
At the same time I'm trying different firmware with i915 backport and xorg driver combination.
Still bad luck so far.

According test result I already have right now.
I don't think problem comes from kernel module or firmware.
It's time to dig into git. Q_Q

P.S: here is latest backtrace from xorg log:
[  2109.966] (EE) Backtrace:
[  2109.968] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x5577997a2829]
[  2109.968] (EE) 1: /usr/lib64/libpthread.so.0 (funlockfile+0x60) [0x7f4cb312daef]
[  2109.969] (EE) unw_get_proc_name failed: no unwind info found [-10]
[  2109.969] (EE) 2: /usr/lib64/xorg/modules/drivers/intel_drv.so (?+0x0) [0x7f4cb265b990]
[  2109.970] (EE) unw_get_proc_name failed: no unwind info found [-10]
[  2109.970] (EE) 3: /usr/lib64/xorg/modules/drivers/intel_drv.so (?+0x0) [0x7f4cb268d6f0]
[  2109.970] (EE) unw_get_proc_name failed: no unwind info found [-10]
[  2109.970] (EE) 4: /usr/lib64/xorg/modules/drivers/intel_drv.so (?+0x0) [0x7f4cb26ad7f0]
[  2109.971] (EE) 5: /usr/libexec/Xorg (BlockHandler+0x40) [0x557799642480]
[  2109.971] (EE) 6: /usr/libexec/Xorg (WaitForSomething+0x124) [0x55779979be04]
[  2109.972] (EE) 7: /usr/libexec/Xorg (SendErrorToClient+0x117) [0x55779963d7e7]
[  2109.972] (EE) 8: /usr/libexec/Xorg (InitFonts+0x3ac) [0x557799641b2c]
[  2109.973] (EE) 9: /usr/lib64/libc.so.6 (__libc_start_main+0xf2) [0x7f4cb2f76042]
[  2109.973] (EE) 10: /usr/libexec/Xorg (_start+0x2e) [0x55779962ae4e]

Comment 12 Cristian Ciupitu 2020-03-18 22:38:26 UTC
I'm on Fedora 32 (not 31) with the latest kernel, mesa etc, i.e.
kernel-5.6.0-0.rc5.git0.2.fc32.x86_64
mesa-dri-drivers-20.0.1-1.fc32.x86_64
xorg-x11-server-common-1.20.7-1.fc32.x86_64

Comment 13 Dark Shenada 2020-03-19 00:25:23 UTC
(In reply to Cristian Ciupitu from comment #12)
> I'm on Fedora 32 (not 31) with the latest kernel, mesa etc, i.e.
> kernel-5.6.0-0.rc5.git0.2.fc32.x86_64
> mesa-dri-drivers-20.0.1-1.fc32.x86_64
> xorg-x11-server-common-1.20.7-1.fc32.x86_64

I know. Me too. I force install FC31 kernel and compile upstream kernel by my self just for verification.

Because on my laptop I also got iwlwifi unable to load firmware issue.

iwlwifi:9260: missing PCI subdevice entries for 0x2526 (0x04010, 0x4018 and 0x401C)(https://bugzilla.kernel.org/show_bug.cgi?id=206661)

Comment 14 Dark Shenada 2020-03-19 00:44:07 UTC
Could we change subject to
"Intel i915 family GPU with SNA 2D acceleration, X crashes when running some programs"
or less confusion wording ?

Comment 15 Nerijus Baliūnas 2020-04-06 08:35:38 UTC
Same here. Unfortunately I cannot uninstall xorg-x11-drv-intel, because without it:
[  3476.926] Require OpenGL version 2.1 or later.
[  3476.926] (EE) modeset(0): Failed to initialize glamor at ScreenInit() time.
[  3476.926] (EE)
Fatal server error:
[  3476.926] (EE) AddScreen/ScreenInit failed for driver 0

Comment 16 Alexei Podtelezhnikov 2020-04-07 02:49:32 UTC
*** Bug 1820815 has been marked as a duplicate of this bug. ***

Comment 17 Alexei Podtelezhnikov 2020-04-07 03:24:49 UTC
Bug 1818972 and bug 1808767, which are likely duplicates, work around this issue by downgrading to xorg-x11-drv-intel-2.99.917-43.20180618.fc31 from https://koji.fedoraproject.org/koji/buildinfo?buildID=1343048.

Comment 18 Alexei Podtelezhnikov 2020-04-08 01:44:48 UTC
Created attachment 1677088 [details]
Fix double-free crashes

The attached patch seems to fix the crashes for me on Intel GMA 3150. It applies to the git head or the snapshot in the current rpm. Please test while I post it to intel-gfx for review.

Comment 19 Alexei Podtelezhnikov 2020-04-09 14:59:10 UTC
Created attachment 1677568 [details]
log with full debug

Useful for xf86-video-intel maintainers.

Comment 20 Fedora Update System 2020-04-10 17:31:00 UTC
FEDORA-2020-81d6a5b194 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-81d6a5b194

Comment 21 Alexei Podtelezhnikov 2020-04-11 03:05:24 UTC
Build 45.20200205 fixes the segfaults for me but the assertion, which is probably related, is still there. I would not be surprise if the issue surfaces again with another gcc version.

Comment 22 Fedora Blocker Bugs Application 2020-04-11 10:16:44 UTC
Proposed as a Freeze Exception for 32-final by Fedora user frantisekz using the blocker tracking app because:

 FEDORA-2020-81d6a5b194 is needed to fix booting into Xorg sessions withou nomodeset parameter on Intel Gen <= 4 GPUs.

It wouldn't be ideal to fix this as post release update, change seems to pose low risk as it is just a rebuild and affects only old generations of hardware. New intel GPU generations use generic modesetting driver.

Comment 23 Fedora Update System 2020-04-11 18:51:43 UTC
FEDORA-2020-81d6a5b194 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-81d6a5b194`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-81d6a5b194

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 24 Adam Williamson 2020-04-11 18:59:40 UTC
+1 FE for me. Note this can also affect systems with cards that wouldn't usually use intel but which have it specified in a config file. They might hit this on upgrade, so that's another reason for it to go stable.

Comment 25 Geoffrey Marr 2020-04-13 19:47:52 UTC
Discussed during the 2020-04-13 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-04-13/f32-blocker-review.2020-04-13-16.04.txt

Comment 26 Fedora Update System 2020-04-13 21:29:02 UTC
FEDORA-2020-81d6a5b194 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 27 Adam Williamson 2020-04-14 15:21:18 UTC
As we had multiple indications in the update feedback that the update fixed the bug, closing this.


Note You need to log in before you can comment on or make changes to this bug.